CVE-2021-41750

Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting') in packagist/nystudio107/craft-seomatic

Identifiers

CVE-2021-41750

Package Slug

packagist/nystudio107/craft-seomatic

Vulnerability

Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting')

Description

A cross-site scripting (XSS) vulnerability in the SEOmatic plugin 3.4.10 for Craft CMS 3 allows remote attackers to inject arbitrary web script via a GET to /index.php?action=seomatic/file/seo-file-link with url parameter containing the base64 encoded URL of a malicious web page / file and fileName parameter containing an arbitrary filename with the intended content-type to be rendered in the user's browser as the extension.

Affected Versions

Version 3.4.10

Solution

Upgrade to version 3.4.11 or above.

Last Modified

2022-06-19

source